Scilab Function
Last update : 14/12/2005

sum - somme des vecteurs et matrices

### Calling Sequence

  `y=sum(x)`
  `y=sum(x,'r') ou y=sum(x,1)`
  `y=sum(x,'c') ou y=sum(x,2)`
  `y=sum(x,'m')`

### Parameters

- `x`: vecteur ou matrice (entière, réelle ou complexe)
- `y`: vecteur ou matrice (entière, réelle ou complexe)

### Description

Si `x` est un vecteur ou une matrice, `y=sum(x)` retourne le scalaire `y` contenant la somme de tous les élements de `x`.

`y=sum(x,'r')` (ou `y=sum(x,1)`) retourne le vecteur ligne `y` : `y(j)= sum(x(:,j))`.

`y=sum(x,'c')` (ou `y=sum(x,2)`) retourve le vecteur colonne `y` : `y(i)= sum(x(i,:))`)).

`y=sum(x,'m')` effectue la somme selon la première dimension plus grande que 1 (compatibilité avec Matlab).

### Examples

    A=[1,2;3,4];
    trace(A)-sum(diag(A))
    sum(A,'c')-A*ones(2,1)
    sum(A+%i)
    A=sparse(A);sum(A,'c')-A*ones(2,1)
    s=poly(0,'s');
    M=[s,%i+s;s^2,1];
    sum(M),sum(M,2)

### See Also

`cumsum`, `prod`,